<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.MainActivity">

    <include
        android:id="@+id/bar"
        layout="@layout/commen_titlebar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="课程名称"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="200"
                        android:id="@+id/et_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="请输入课程名称"
                        android:singleLine="true"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="课程描述"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="1000"
                        android:id="@+id/et_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/shape_schedule_bg"
                        android:gravity="top"
                        android:hint="请输入课程描述"
                        android:lines="5"
                        android:maxLines="5"
                        android:paddingLeft="10dp"
                        android:paddingTop="15dp"
                        android:paddingRight="10dp"
                        android:paddingBottom="15dp"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="上传图片略缩图"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <ImageView
                        android:id="@+id/iv_add"
                        android:layout_width="150dp"
                        android:layout_height="100dp"
                        android:layout_marginTop="10dp"
                        android:src="@drawable/ic_add_photo" />
                </LinearLayout>

            </androidx.cardview.widget.CardView>


            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="上传附件"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/tv_upload_file"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/shape_metting_btn"
                        android:gravity="center"
                        android:paddingTop="10dp"
                        android:paddingBottom="10dp"
                        android:text="上传附件"
                        android:textColor="#ff347fff"
                        android:textSize="12sp" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_file"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <TextView
                android:id="@+id/tv_add"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:background="@drawable/shape_mini_btn"
                android:gravity="center"
                android:paddingTop="11dp"
                android:paddingBottom="11dp"
                android:text="提交审核"
                android:textColor="#ffffffff"
                android:textSize="15sp" />
        </LinearLayout>
    </ScrollView>


</LinearLayout>